QT = core
QT -= gui

CONFIG += c++17 cmdline

TARGET = maincontrol
TEMPLATE = app

unix{
}
else{
    DESTDIR = $$PWD/../bin
}

INCLUDEPATH += .
INCLUDEPATH += ../include

LIBS += -L$$PWD/../lib/ -lRedisAgent
LIBS += -L$$PWD/../lib/ -lTDAgent

SOURCES += \
        main.cpp \
        maincontrol.cpp \
        oneitem.cpp \
        readmodulefromredis.cpp

HEADERS += \
    maincontrol.h \
    oneitem.h \
    readmodulefromredis.h
